// --------------
// Author: Wicked
// --------------

function BlocklandPlusSetBLPVersion()
{
	new TCPObject(BlocklandPlusVersionCheckServer)
	{
		host = "blocklandplus.weebly.com";
		path = "/downloads.html";
	};
	BlocklandPlusVersionCheckServer.connect("blocklandplus.weebly.com:80");
}
function BlocklandPlusVersionCheckServer::onConnected(%this)
{
	%this.send("GET " @ %this.path @ " HTTP/1.0\r\nHost: " @ %this.host @ "\r\n\r\n");
}
function BlocklandPlusVersionCheckServer::onLine(%this, %line)
{
	%start = strPos(%line, "BlocklandPlusVersion:") + 21;
	%end = strPos(%line, ".blp") - %start;
	if(%start >= 0 && %end >= 0)
		$BlocklandPlusNewestVersion = getSubStr(%line, %start, %end);
	%start = strPos(%line, "/uploads/");
	%end = strPos(%line, "system_blocklandplus.zip") - %start + 24;
	if(%start >= 0 && %end >= 0)
	{
		$BlocklandPlusNewestURL = %this.host @ getSubStr(%line, %start, %end);
		%this.disconnect();
		%this.schedule(1000, delete);
	}
}
BlocklandPlusSetBLPVersion();