// --------------
// Author: Wicked
// --------------

new GuiControl(BlocklandPlusFileText) {
	profile = "GuiDefaultProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "0 0";
	extent = "800 600";
	minExtent = "8 2";
	enabled = "1";
	visible = "1";
	
	new GuiWindowCtrl(BlocklandPlusFileTextWindow) {
		profile = "GuiWindowProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "320 150";
		extent = "480 300";
		minExtent = "8 2";
		visible = "1";
		command = "canvas.popdialog(BlocklandPlusFileText);";
		accelerator = "escape";
		text = " ";
		maxLength = "255";
		resizeWidth = "0";
		resizeHeight = "0";
		canMove = "1";
		canClose = "1";
		canMinimize = "0";
		canMaximize = "0";
		minSize = "50 50";
		closeCommand = "canvas.popdialog(BlocklandPlusFileText);";

		new GuiSwatchCtrl() {
			profile = "GuiDefaultProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "11 31";
			extent = "459 219";
			minExtent = "8 2";
			visible = "1";
			color = "255 255 255 255";
		};
		new GuiScrollCtrl() {
			profile = "ColorScrollProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "10 30";
			extent = "460 220";
			minExtent = "160 200";
			visible = "1";
			willFirstRespond = "1";
			hScrollBar = "alwaysOff";
			vScrollBar = "alwaysOn";
			constantThumbHeight = "0";
			childMargin = "0 0";
			rowHeight = "10";
			columnWidth = "30";

			new GuiSwatchCtrl(BlocklandPlusFileTextList) {
				profile = "GuiDefaultProfile";
				horizSizing = "right";
				vertSizing = "bottom";
				position = "0 0";
				extent = "450 200";
				minExtent = "8 2";
				visible = "1";
				color = "0 0 0 0";

				new GuiMLTextCtrl(BlocklandPlusFileTextListText) {
					profile = "GuiMLTextProfile";
					horizSizing = "right";
					vertSizing = "bottom";
					position = "2 2";
					extent = "446 14";
					minExtent = "8 2";
					visible = "1";
					lineSpacing = "2";
					allowColorChars = "0";
					maxChars = "-1";
					text = " ";
					maxBitmapHeight = "-1";
					selectable = "1";
				};
			};
		};
		new GuiBitmapButtonCtrl() {
			profile = "BlockButtonProfile";
			horizSizing = "right";
			vertSizing = "bottom";
			position = "210 260";
			extent = "60 30";
			minExtent = "8 2";
			visible = "1";
			command = "canvas.popdialog(BlocklandPlusFileText);";
			text = "Close";
			groupNum = "-1";
			buttonType = "PushButton";
			bitmap = "base/client/ui/button1";
			lockAspectRatio = "0";
			alignLeft = "0";
			overflowImage = "0";
			mKeepCached = "0";
			mColor = "255 255 255 255";
		};
	};
};

function BlocklandPlusFileTextWindow::onWake(%gui)
{
	BlocklandPlusEditPos(%gui);
}
function BlocklandPlusFileText(%title, %text, %num)
{
	BlocklandPlusFileTextWindow.setText(%title);
	if(%num)
	{
		%text2 = "";
		for(%x = 0; %x < getFieldCount(%text); %x++)
			%text2 = %text2 @ getField(%text, %x) @ "\n";
		%text = %text2;
	}
	BlocklandPlusFileTextListText.setText(%text);
	BlocklandPlusFileTextList.position = "0 0";
	canvas.pushdialog(BlocklandPlusFileText);
	BlocklandPlusFileTextListText.forceReflow();
	BlocklandPlusFileTextList.extent = getWord(BlocklandPlusFileTextList.getExtent(), 0) SPC getWord(BlocklandPlusFileTextListText.getExtent(), 1) + 2;
}