// --------------
// Author: Wicked
// --------------

new GuiControl(BlocklandPlusUpdaterGUI) {
	profile = "GuiDefaultProfile";
	horizSizing = "right";
	vertSizing = "bottom";
	position = "0 0";
	extent = "800 600";
	minExtent = "8 2";
	visible = "1";
	
	new GuiWindowCtrl(BlocklandPlusUpdaterWindow) {
		profile = "GuiWindowProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "272 480";
		extent = "240 90";
		minExtent = "8 2";
		visible = "1";
		text = "Blockland Plus Updater";
		maxLength = "255";
		resizeWidth = "0";
		resizeHeight = "0";
		canMove = "1";
		canClose = "0";
		canMinimize = "0";
		canMaximize = "0";
		minSize = "50 50";

		new GuiProgressCtrl(BlocklandPlusUpdaterBar) {
			profile = "GuiProgressProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "20 38";
			extent = "200 37";
			minExtent = "8 8";
			enabled = "1";
			visible = "1";
			clipToParent = "1";
		};
		new GuiTextCtrl(BlocklandPlusUpdaterText) {
			profile = "GuiProgressTextProfile";
			horizSizing = "center";
			vertSizing = "bottom";
			position = "20 46";
			extent = "200 20";
			minExtent = "8 8";
			enabled = "1";
			visible = "1";
			clipToParent = "1";
			text = " ";
			maxLength = "255";
		};
	};
};

function BlocklandPlusUpdaterWindow::onWake(%gui)
{
	BlocklandPlusEditPos(%gui);
}