// --------------
// Author: Wicked
// --------------

$BlocklandPlus::Client::Version = 0.118;
$BlocklandPlus::Client::GUICount = 0;
function BlocklandPlusEditPos(%gui)
{
	%pos1 = (getWord(getRes(), 0) - getWord(%gui.getExtent(), 0)) / 2;
	%pos2 = (getWord(getRes(), 1) - getWord(%gui.getExtent(), 1)) / 2;
	%gui.position = %pos1 SPC %pos2;
	return %gui.position;
}
if(!isObject(BlocklandPlusGUIManagerButton))
{
	OPT_ChatSize0.getgroup().add(new GuiButtonCtrl(BlocklandPlusGUIManagerButton)
	{
		profile = "BlockButtonProfile";
		horizSizing = "right";
		vertSizing = "bottom";
		position = "158 1";
		extent = "156 22";
		minExtent = "8 2";
		command = "BlocklandPlusOpenGUIManager();";
		enabled = "1";
		visible = "1";
		clipToParent = "1";
		text = "Open GUI Manager";
		groupNum = "-1";
		buttonType = "PushButton";
		bitmap = "base/client/ui/button1";
		lockAspectRatio = "0";
		alignLeft = "0";
		alignTop = "0";
		overflowImage = "0";
		mKeepCached = "0";
		mColor = "255 255 255 255";
	});
}

function ClientCmdBlocklandPlusLoadFile(%name, %host1, %path1, %version1, %host2, %path2, %version2)
{
	if(!$BlocklandPlus::Client::BlocklandPlusEnabled)
		return;
	$BLPPrefs = 0;
	$BlocklandPlus::Client::CurrentGUI = %name;
	$BlocklandPlus::Client::DoClientFile = 0;
	$BlocklandPlus::Client::DoDBFile = 0;
	if(%host1 !$= "" && %path1 !$= "" && %version1 !$= "")
		$BlocklandPlus::Client::DoClientFile = 1;
	if(%host2 !$= "" && %path2 !$= "" && %version2 !$= "")
		$BlocklandPlus::Client::DoDBFile = 1;
	
	echo("Got load file request");
	LoadingProgress.setValue(0);
	%cversion1 = BlocklandPlusGetCurrentGUIVersion(%name);
	%cversion2 = BlocklandPlusGetCurrentGUIVersion(%name, 0, 1);
	if(!$BlocklandPlus::Client::DoDBFile && $BlocklandPlus::Client::DoClientFile && %cversion1 == %version1 || $BlocklandPlus::Client::DoDBFile && $BlocklandPlus::Client::DoClientFile && %cversion1 == %version1 && %cversion2 == %version2)
	{
		LoadingProgressTxt.setValue("Loading GUI");
		%approveds = BlocklandPlusCheckApprovedFile(%name);
		%sysapproved = getWord(%approveds, 0);
		%approved = getWord(%approveds, 1);
		if(!%sysapproved && !$BlocklandPlus::Client::LoadedFile[%name @ %version1])
			MessageBoxYesNo("Accept Unapproved File Load Request?", "The server is requesting to load an unapproved file(config/BLP/" @ %name @ "/Client.zip). This file could contain malicious code, and it is advised not to load it. Do you want to load the file anyway?", "BlocklandPlusLoadFile(\"" @ %name @ "\");", "commandToServer('NoLFile');");
		else if(!%approved && !$BlocklandPlus::Client::LoadedFile[%name @ %version1])
			MessageBoxYesNo("Accept Unapproved File Load Request?", "The server is requesting to load an unapproved file(config/BLP/" @ %name @ "/Client.zip). Do you want to load the file anyway?", "BlocklandPlusLoadFile(\"" @ %name @ "\");", "commandToServer('NoLFile');");
		else if($BlocklandPlus::Client::AskBeforeExec && !$BlocklandPlus::Client::LoadedFile[%name @ %version1])
			MessageBoxYesNo("Accept Load Request?", "The server is requesting to load file(config/BLP/" @ %name @ "/Client.zip). Do you want to load the file?", "BlocklandPlusLoadFile(\"" @ %name @ "\");", "commandToServer('NoLFile');");
		else
			BlocklandPlusLoadFile(%name);
	}
	else if($BlocklandPlus::Client::DoDBFile && $BlocklandPlus::Client::DoClientFile && %cversion1 != %version1 && %cversion2 != %version2)
	{
		LoadingProgressTxt.setValue("Downloading GUI");
		if($BlocklandPlus::Client::AskBeforeDownload)
		{
			%text = "The server is requesting to download one file from:\n\n" @ %host1 @ %path1 @ "\n\nAnd another file from:\n\n" @ %host2 @ %path2 @ "\n\nThey will be saved here:\n(config/BLP/" @ %name @ ")\n\nDo you want to download these files?";
			MessageBoxYesNo("Accept Download Request?", %text, "BlocklandPlusConnectForFile(\"" @ %name @ "\", 1, 2,\"" @ %host1 @ "\",\"" @ %path1 @ "\",\"" @ %host2 @ "\",\"" @ %path2 @ "\");", "commandToServer('NoDLFile');");
		}
		else
			BlocklandPlusConnectForFile(%name, 1, 2, %host1, %path1, %host2, %path2);
	}
	else if($BlocklandPlus::Client::DoClientFile && %cversion1 != %version1)
	{
		LoadingProgressTxt.setValue("Downloading GUI");
		if($BlocklandPlus::Client::AskBeforeDownload)
		{
			%text = "The server is requesting to download a file from:\n\n" @ %host1 @ %path1 @ "\n\nIt will be saved here:\n(config/BLP/" @ %name @ ")\n\nDo you want to download the file?";
			MessageBoxYesNo("Accept Download Request?", %text, "BlocklandPlusConnectForFile(\"" @ %name @ "\", 1, 1,\"" @ %host1 @ "\",\"" @ %path1 @ "\",\"" @ %host2 @ "\",\"" @ %path2 @ "\");", "commandToServer('NoDLFile');");
		}
		else
			BlocklandPlusConnectForFile(%name, 1, 1, %host1, %path1, %host2, %path2);
	}
	else if($BlocklandPlus::Client::DoDBFile && %cversion2 != %version2)
	{
		LoadingProgressTxt.setValue("Downloading GUI");
		if($BlocklandPlus::Client::AskBeforeDownload)
		{
			%text = "The server is requesting to download a file from:\n\n" @ %host2 @ %path2 @ "\n\nIt will be saved here:\n(config/BLP/" @ %name @ ")\n\nDo you want to download the file?";
			MessageBoxYesNo("Accept Download Request?", %text, "BlocklandPlusConnectForFile(\"" @ %name @ "\", 2, 2,\"" @ %host1 @ "\",\"" @ %path1 @ "\",\"" @ %host2 @ "\",\"" @ %path2 @ "\");", "commandToServer('NoDLFile');");
		}
		else
			BlocklandPlusConnectForFile(%name, 2, 2, %host1, %path1, %host2, %path2);
	}
}
function BlocklandPlusLoadFile(%name, %num)
{
	%cversion = $BlocklandPlus::Client::FileVersionClient[%name];
	%version = BlocklandPlusGetCurrentGUIVersion(%name, 1);
	%version2 = BlocklandPlusGetCurrentGUIVersion(%name, 1, 1);
	discoverfile("config/BLP/" @ %name @ "/Client.zip");
	discoverfile("config/BLP/" @ %name @ "/DB.zip");
	if(isFile("config/BLP/" @ %name @ "/Client/client.cs"))
	{
		if(%cversion != %version || !$BlocklandPlus::Client::LoadedFile[%name @ %version])
		{
			if($BlocklandPlus::Client::DeleteSyntaxErrorFiles && !Compile("config/BLP/" @ %name @ "/Client/client.cs"))
			{
				%tempfile = "config/BLP/" @ %name @ "/Client.zip";
				if(isFile(%tempfile))
					fileDelete(%tempfile);
				BlocklandPlusUpdateGUIList(%name, 2, 2);
				if(BlocklandPlusGUIManager.isAwake())
				{
					canvas.popdialog(BlocklandPlusGUIManager);
					BlocklandPlusOpenGUIManager();
				}
				messageBoxOk("File Contained Syntax Error(s)", "File contained syntax error(s) and has been deleted.");
				$BlocklandPlus::Client::LoadedFile[%name @ %version] = 0;
			}
			else
			{
				%filelog = "config/BLP/cache/ExecFileLog.txt";
				if(isWriteableFilename(%filelog))
				{
					%stream = new fileObject();
					%stream.openForWrite(%filelog);
					%stream.WriteLine(%name);
					%stream.close();
					%stream.delete();
				}
				exec("config/BLP/" @ %name @ "/Client/client.cs");
				if(isFile(%filelog))
					fileDelete(%filelog);
				$BlocklandPlus::Client::LoadedFile[%name @ %version] = 1;
				if(%num)
					messageBoxOk("File Loaded", "This file is now loaded.");
			}
		}
		else if(%num)
			messageBoxOk("Error", "This file is already loaded!");
	}
	if(!%num)
	{
		commandToServer('GUIVersionIs', %version);
		commandToServer('GUIVersionIs', %version2);
		LoadingProgress.setValue(1);
	}
}
function BlocklandPlusGetCurrentGUIVersion(%name, %new, %db)
{
	if(!%db && $BlocklandPlus::Client::FileVersionClient[%name] !$= "" && !%new && isFile("config/BLP/" @ %name @ "/Client.zip"))
		return $BlocklandPlus::Client::FileVersionClient[%name];
	else if(%db && $BlocklandPlus::Client::FileVersionDB[%name] !$= "" && !%new && isFile("config/BLP/" @ %name @ "/DB.zip"))
		return $BlocklandPlus::Client::FileVersionDB[%name];
	%cversion = "";
	if(%db)
	{
		discoverfile("config/BLP/" @ %name @ "/DB.zip");
		if(isFile("config/BLP/" @ %name @ "/DB/Info.txt"))
		{
			%stream = new fileObject();
			%stream.openForRead("config/BLP/" @ %name @ "/DB/Info.txt");
			while(!%stream.isEOF())
			{
				%line = %stream.readLine();
				if(getWord(%line, 0) $= "Version:")
				{
					%cversion = getWord(%line, 1);
					break;
				}
			}
			%stream.close();
			%stream.delete();
		}
		$BlocklandPlus::Client::FileVersionDB[%name] = %cversion;
		return %cversion;
	}
	else
	{
		discoverfile("config/BLP/" @ %name @ "/Client.zip");
		if(isFile("config/BLP/" @ %name @ "/Client/Info.txt") && isFile("config/BLP/" @ %name @ "/Client/client.cs"))
		{
			%stream = new fileObject();
			%stream.openForRead("config/BLP/" @ %name @ "/Client/Info.txt");
			while(!%stream.isEOF())
			{
				%line = %stream.readLine();
				if(getWord(%line, 0) $= "Version:")
				{
					%cversion = getWord(%line, 1);
					break;
				}
			}
			%stream.close();
			%stream.delete();
		}
		$BlocklandPlus::Client::FileVersionClient[%name] = %cversion;
		return %cversion;
	}
}
function BlocklandPlusConnectForFile(%name, %start, %stop, %host1, %path1, %host2, %path2)
{
	if(!$BlocklandPlus::Client::BlocklandPlusEnabled)
		return;
	echo("Connecting...");
	if(isObject(BlocklandPlusDownloader))
	{
		BlocklandPlusDownloader.disconnect();
		BlocklandPlusDownloader.delete();
	}
	new TCPObject(BlocklandPlusDownloader)
	{
		name = %name;
		start = %start;
		stop = %stop;
		cur = %start;
		host1 = %host1;
		path1 = %path1;
		host2 = %host2;
		path2 = %path2;
	};
	BlocklandPlusDownloader.connect(BlocklandPlusDownloader.host[BlocklandPlusDownloader.cur] @ ":80");
}
function BlocklandPlusCheckUpdate(%update, %url)
{
	if(%update)
	{
		%url = strReplace(%url, "http://", "");
		%host = getSubStr(%url, 0, strPos(%url, "/"));
		%path = getSubStr(%url, strPos(%url, "/"), strLen(%url));
		new TCPObject(BlocklandPlusUpdater)
		{
			host = %host;
			path = %path;
		};
		BlocklandPlusUpdater.connect(%host @ ":80");
	}
	else
	{
		new TCPObject(BlocklandPlusVersionCheck)
		{
			host = "blocklandplus.weebly.com";
			path = "/downloads.html";
		};
		BlocklandPlusVersionCheck.connect("blocklandplus.weebly.com:80");
	}
}
function BlocklandPlusVersionCheck::onConnected(%this)
{
	%this.send("GET " @ %this.path @ " HTTP/1.0\r\nHost: " @ %this.host @ "\r\n\r\n");
}
function BlocklandPlusVersionCheck::onLine(%this, %line)
{
	%start = striPos(%line, "BlocklandPlusVersion:") + 21;
	%end = striPos(%line, ".blp") - %start;
	if(%start >= 0 && %end >= 0)
		$BlocklandPlusTempVersion = getSubStr(%line, %start, %end);
	%start = striPos(%line, "/uploads/");
	%end = striPos(%line, "system_blocklandplus.zip") - %start + 24;
	if(%start >= 0 && %end >= 0)
	{
		%url = %this.host @ getSubStr(%line, %start, %end);
		%this.disconnect();
		%this.schedule(1000, delete);
		if($BlocklandPlus::Client::Version < $BlocklandPlusTempVersion)
			MessageBoxYesNo("New Version Available", "There is a new version of Blockland Plus available. Do you want to download it?", "BlocklandPlusCheckUpdate(1,\"" @ %url @ "\");", "canvas.popdialog(BlocklandPlusUpdaterGUI);");
	}
}
function BlocklandPlusUpdater::onConnected(%this)
{
	$BlocklandPlusTempDownloading = 0;
	$BlocklandPlusTempDownloaded = 0;
	BlocklandPlusUpdaterText.setText("Downloading New Version");
	BlocklandPlusUpdaterBar.setValue(0);
	canvas.pushdialog(BlocklandPlusUpdaterGUI);
	%this.send("GET " @ %this.path @ " HTTP/1.0\r\nHost: " @ %this.host @ "\r\n\r\n");
}
function BlocklandPlusUpdater::onDisconnect(%this)
{
	if(BlocklandPlusUpdaterGUI.isAwake())
		canvas.popdialog(BlocklandPlusUpdaterGUI);
	if(!$BlocklandPlusTempDownloading && !$BlocklandPlusTempDownloaded)
		messageBoxOk("Error", "There was a problem with the auto updater and the download could not be completed! Try downloading and installing the client yourself at <a:blocklandplus.weebly.com>blocklandplus.weebly.com</a>.");
}
function BlocklandPlusUpdater::onLine(%this, %line)
{
	if(strPos(%line, "Content-Length:") >= 0)
		%this.size = getWord(%line, 1);
	if(%line $= "")
		%this.setBinarySize(%this.size);
}
function BlocklandPlusUpdater::onBinChunk(%this, %chunk)
{
	$BlocklandPlusTempDownloading = 1;
	if(%chunk >= %this.size)
	{
		if(isWriteableFilename("Add-Ons/System_BlocklandPlus.zip") && isWriteableFilename("config/BLP/cache/System_BlocklandPlus.zip"))
		{
			%this.saveBufferToFile("config/BLP/cache/System_BlocklandPlus.zip");
			fileCopy("config/BLP/cache/System_BlocklandPlus.zip", "Add-Ons/System_BlocklandPlus.zip");
			fileDelete("config/BLP/cache/System_BlocklandPlus.zip");
			messageBoxOkCancel("Download Complete", "Blockland must now shut down to finish the Blockland Plus installation.", "quit();", "canvas.popdialog(BlocklandPlusUpdaterGUI);");
		}
		else
		{
			messageBoxOk("Error", "A required file for this update is Read-Only. Cannot Finish installation.");
			canvas.popdialog(BlocklandPlusUpdaterGUI);
		}
		$BlocklandPlusTempDownloading = 0;
		$BlocklandPlusTempDownloaded = 1;
		%this.disconnect();
		%this.schedule(1000, delete);
	}
	else
		BlocklandPlusUpdaterBar.setValue(%chunk / %this.size);
}
function BlocklandPlusDownloader::onConnected(%this)
{
	if(!$BlocklandPlus::Client::BlocklandPlusEnabled)
		return;
	$BlocklandPlusTempGUIDownloading = 0;
	$BlocklandPlusTempGUIDownloaded = 0;
	echo("Connected...");
	%this.send("GET " @ %this.path[%this.cur] @ " HTTP/1.0\r\nHost: " @ %this.host[%this.cur] @ "\r\n\r\n");
}
function BlocklandPlusDownloader::onDisconnect(%this)
{
	if(!$BlocklandPlusTempGUIDownloading && !$BlocklandPlusTempGUIDownloaded)
		messageBoxOk("Error", "There is a problem with the download site and the file could not be downloaded.");
}
function BlocklandPlusDownloader::onLine(%this, %line)
{
	if(!$BlocklandPlus::Client::BlocklandPlusEnabled)
		return;
	echo("Got Line...");
	if(strPos(%line, "Content-Length:") >= 0)
		%this.size = getWord(%line, 1);
	if(%line $= "")
		%this.setBinarySize(%this.size);
}
function BlocklandPlusDownloader::onBinChunk(%this, %chunk)
{
	if(!$BlocklandPlus::Client::BlocklandPlusEnabled)
		return;
	$BlocklandPlusTempGUIDownloading = 0;
	%percent =  mfloatlength(%chunk / %this.size, 2) * 100;
	if(%this.lastpercent != %percent)
	{
		%this.lastpercent = %percent;
		echo("Download Progress: " @ %percent @ "%");
	}
	if(%chunk >= %this.size)
	{
		if(%this.cur == 1)
			%this.saveBufferToFile("config/BLP/" @ %this.name @ "/Client.zip");
		if(%this.cur == 2)
			%this.saveBufferToFile("config/BLP/" @ %this.name @ "/DB.zip");
		$BlocklandPlusTempGUIDownloading = 0;
		$BlocklandPlusTempGUIDownloaded = 1;
		%this.disconnect();
		//BlocklandPlusCheckFile(%this.name, 0, %this.cur);
		%this.cur++;
		if($BlocklandPlus::Client::DoDBFile && %this.cur == %this.stop)
		{
			%name = %this.name;
			%start = %this.start;
			%stop = %this.stop;
			%cur = %this.cur;
			%host1 = %this.host1;
			%path1 = %this.path1;
			%host2 = %this.host2;
			%path2 = %this.path2;
			if(isObject(%this))
				%this.delete();
			%this = new TCPObject(BlocklandPlusDownloader)
			{
				name = %name;
				start = %start;
				stop = %stop;
				cur = %cur;
				host1 = %host1;
				path1 = %path1;
				host2 = %host2;
				path2 = %path2;
			};
			%this.connect(%this.host[%this.cur] @ ":80");
		}
		else
		{
			echo("Download Complete.");
			discoverfile("config/BLP/" @ %this.name @ "/DB.zip");
			discoverfile("config/BLP/" @ %this.name @ "/Client.zip");
			if($BlocklandPlus::Client::DoDBFile && isFile("config/BLP/" @ %this.name @ "/DB.zip"))
				BlocklandPlusCheckFile(%this.name, 0, 1);
			if(isFile("config/BLP/" @ %this.name @ "/Client.zip"))
				BlocklandPlusCheckFile(%this.name, 0, 0);
			%this.schedule(1000, delete);
		}
	}
	else
		LoadingProgress.setValue(%chunk / %this.size);
}
function BlocklandPlusCheckFile(%name, %Scan, %db)
{
	if(%db)
	{
		discoverfile("config/BLP/" @ %name @ "/DB.zip");
		if(!isFile("config/BLP/" @ %name @ "/DB.zip"))
		{
			messageBoxOk("No File Found", "No file was found(config/BLP/" @ %name @ "/DB.zip).");
			return 1;
		}
		//Check for unallowable files
		%path = "config/BLP/" @ %name @ "/DB/*";
		%file = "none";
		while(%file !$= "")
		{
			if(%file $= "none")
				%file = findFirstFile(%path);
			else
				%file = findNextFile(%path);
			if(%file !$= "")
			{
				%ext = fileExt(%file);
				if(%ext !$= ".png" && %ext !$= ".jpeg" && %ext !$= ".wav" && %ext !$= ".ogg" && %ext !$= ".dts" && %ext !$= ".blb" && %ext !$= ".txt" && %ext !$= ".pdf")
				{
					%tempfile = "config/BLP/" @ %name @ "/DB.zip";
					if(isFile(%tempfile))
						fileDelete(%tempfile);
					BlocklandPlusUpdateGUIList(%name, 2, 2, %Scan);
					if(%Scan == 2)
					{
						canvas.popdialog(BlocklandPlusGUIManager);
						BlocklandPlusOpenGUIManager();
					}
					messageBoxOk("Unexpected File(s) Found", "Unexpected file(s) have been found. File(config/BLP/" @ %name @ "/DB.zip) has been deleted.");
					return 1;
				}
			}
		}
	}
	else
	{
		discoverfile("config/BLP/" @ %name @ "/Client.zip");
		if(!isFile("config/BLP/" @ %name @ "/Client.zip"))
		{
			messageBoxOk("No File Found", "No file was found(config/BLP/" @ %name @ "/Client.zip).");
			return 1;
		}
		//Check for client.cs, Syntax Errors, and unallowable files
		if(!isFile("config/BLP/" @ %name @ "/Client/client.cs"))
		{
			%tempfile = "config/BLP/" @ %name @ "/Client.zip";
			if(isFile(%tempfile))
				fileDelete(%tempfile);
			BlocklandPlusUpdateGUIList(%name, 2, 2, %Scan);
			if(%Scan == 2)
			{
				canvas.popdialog(BlocklandPlusGUIManager);
				BlocklandPlusOpenGUIManager();
			}
			messageBoxOk("Missing File", "File(config/BLP/" @ %name @ "/Client.zip) had no client.cs and has been deleted.");
			return 1;
		}
		else if($BlocklandPlus::Client::DeleteSyntaxErrorFiles && !Compile("config/BLP/" @ %name @ "/Client/client.cs"))
		{
			%tempfile = "config/BLP/" @ %name @ "/Client.zip";
			if(isFile(%tempfile))
				fileDelete(%tempfile);
			BlocklandPlusUpdateGUIList(%name, 2, 2, %Scan);
			if(%Scan == 2)
			{
				canvas.popdialog(BlocklandPlusGUIManager);
				BlocklandPlusOpenGUIManager();
			}
			messageBoxOk("File Contained Syntax Error(s)", "File(config/BLP/" @ %name @ "/Client.zip) contained syntax errors and has been deleted.");
			return 1;
		}
		else
		{
			%path = "config/BLP/" @ %name @ "/Client/*";
			%file = "none";
			while(%file !$= "")
			{
				if(%file $= "none")
					%file = findFirstFile(%path);
				else
					%file = findNextFile(%path);
				if(%file !$= "")
				{
					%ext = fileExt(%file);
					if(%ext !$= ".png" && %ext !$= ".jpeg" && %ext !$= ".wav" && %ext !$= ".ogg" && %ext !$= ".dts" && %ext !$= ".cs" && %ext !$= ".gui" && %ext !$= ".blb" && %ext !$= ".txt" && %ext !$= ".pdf")
					{
						%tempfile = "config/BLP/" @ %name @ "/Client.zip";
						if(isFile(%tempfile))
							fileDelete(%tempfile);
						BlocklandPlusUpdateGUIList(%name, 2, 2, %Scan);
						if(%Scan == 2)
						{
							canvas.popdialog(BlocklandPlusGUIManager);
							BlocklandPlusOpenGUIManager();
						}
						messageBoxOk("Unexpected File(s) Found", "Unexpected file(s) have been found. File(config/BLP/" @ %name @ "/Client.zip) has been deleted.");
						return 1;
					}
				}
			}
		}
		//Check for potentially harmful code
		%badlines = "";
		%path = "config/BLP/" @ %name @ "/Client/client.cs";
		%stream = new fileObject();
		if(isFile(%path))
		{
			%filters = 0;
			//%filter[%filters++] = "getStringCRC";
			//%filter[%filters++] = "isWriteableFileName";
			//%filter[%filters++] = "getFileModifiedTime";
			//%filter[%filters++] = "getFileModifiedSortTime";
			//%filter[%filters++] = "isFile";
			//%filter[%filters++] = "fileExt";
			//%filter[%filters++] = "fileBase";
			//%filter[%filters++] = "fileName";
			//%filter[%filters++] = "filePath";
			//%filter[%filters++] = "getFileCount";
			//%filter[%filters++] = "findFirstFile";
			//%filter[%filters++] = "findNextFile";
			%filter[%filters++] = "getFileLength";
			%filter[%filters++] = "getFileCRC";
			%filter[%filters++] = "fileDelete";
			%filter[%filters++] = "fileCopy";
			%filter[%filters++] = "convertFile";
			%filter[%filters++] = "createPath";
			%filter[%filters++] = "fileObject";
			%filter[%filters++] = "TCPObject";
			%filter[%filters++] = "HTTPObject";
			%filter[%filters++] = "saveBufferToFile";
			%filter[%filters++] = "openForRead";
			%filter[%filters++] = "openForAppend";
			%filter[%filters++] = "openForWrite";
			%filter[%filters++] = "WriteLine";
			%filter[%filters++] = "ReadLine";
			%filter[%filters++] = "export";
			%filter[%filters++] = "deleteVariables";
			%filter[%filters++] = "exec";
			%filter[%filters++] = "eval";
			%filter[%filters++] = "call";
			%filter[%filters++] = "schedule";
			%filter[%filters++] = "BlocklandPlus";
			%filter[%filters++] = "command= 1";
			%filter[%filters++] = "altcommand= 1";
			%filter[%filters++] = "closecommand= 1";
			%stream.openForRead(%path);
			while(!%stream.isEOF())
			{
				%line = %stream.readLine();
				%templine = %line;
				for(%x = 1; %x <= %filters; %x++)
				{
					%cfilter = getWord(%filter[%x], 0);
					%guicommand = 0;
					if(getWord(%filter[%x], 1))
					{
						%line = stripchars(%line, " 	");
						%guicommand = 1;
					}
					%filterpos = stripos(%line, %cfilter);
					%tempfilterpos = %filterpos;
					if(%filterpos != -1)
					{
						//Check for possible filtered strings in schedule
						if(%cfilter !$= "BlocklandPlus")
						{
							%notfilter = 0;
							while(%filterpos != -1)
							{
								if(%filterpos > 0 && BlocklandPlusCheckCharNumStr(getSubStr(%line, %filterpos - 1, 1)) || !%guicommand && %filterpos + strLen(%cfilter) < strLen(%line) && BlocklandPlusCheckCharNumStr(getSubStr(%line, %filterpos + strLen(%cfilter), 1)))
								{
									%line = getSubStr(%line, %filterpos + strLen(%cfilter), strLen(%line) - (%filterpos + strLen(%cfilter)));
									%filterpos = stripos(%line, %cfilter);
									%notfilter = 1;
									continue;
								}
								else
								{
									if(%cfilter $= "schedule")
									{
										//echo(%filterpos SPC %line);
										%startpos = striPos(%line, ".schedule");
										%endpos = %startpos;
										if(%startpos != -1 && %startpos <= %filterpos)
										{
											%startpos = BlocklandPlusGetArgLocation(%line, %startpos + 10, 1);
											%endpos = BlocklandPlusGetArgLocation(%line, %startpos, 2);
										}
										else
										{
											%startpos = BlocklandPlusGetArgLocation(%line, %filterpos + 9, 1);
											%startpos = BlocklandPlusGetArgLocation(%line, %startpos, 1);
											%endpos = BlocklandPlusGetArgLocation(%line, %startpos, 2);
										}
										if(%startpos != -1 && %endpos != -1)
										{
											%endpos -= %startpos;
											if(%endpos > 0)
											{
												%subline = getSubStr(%line, %startpos, %endpos);
												//echo("SUBLINE. " @ %subline);
												if(strpos(%subline, "%") != -1 || strpos(%subline, "$") != -1 || strpos(%subline, "@") != -1 || strpos(%subline, ".") != -1 || strpos(%subline, "(") != -1)
												{
													%notfilter = 0;
													break;
												}
												else
												{
													%line = getSubStr(%line, %filterpos + strLen(%cfilter), strLen(%line) - (%filterpos + strLen(%cfilter)));
													%filterpos = stripos(%line, %cfilter);
													//echo("LINE. " @ %line SPC %filterpos);
													%notfilter = 1;
													continue;
												}
											}
										}
									}
									else if(%guicommand)
									{
										//echo(%filterpos SPC %line);
										%startpos = %filterpos;
										%endpos = %startpos;
										if(%startpos != -1)
										{
											%startpos = %startpos + strLen(%cfilter);
											%endpos = strLen(%line) - 1;
										}
										%endpos -= %startpos;
										if(%endpos > 0)
										{
											%subline = getSubStr(%line, %startpos, %endpos);
											//echo("SUBLINE. " @ %subline);
											%foundoutqp = 0;
											%tempoffset = 0;
											while(!%foundoutqp && (%temppos = strpos(%subline, "%", %tempoffset)) != -1)
											{
												if(!BlocklandPlusInQuotesParentheses(%subline, %temppos))
												{
													%foundoutqp = 1;
													break;
												}
												%tempoffset = %temppos + 1;
											}
											%tempoffset = 0;
											while(!%foundoutqp && (%temppos = strpos(%subline, "$", %tempoffset)) != -1)
											{
												if(!BlocklandPlusInQuotesParentheses(%subline, %temppos))
												{
													%foundoutqp = 1;
													break;
												}
												%tempoffset = %temppos + 1;
											}
											%tempoffset = 0;
											while(!%foundoutqp && (%temppos = strpos(%subline, "@", %tempoffset)) != -1)
											{
												if(!BlocklandPlusInQuotesParentheses(%subline, %temppos))
												{
													%foundoutqp = 1;
													break;
												}
												%tempoffset = %temppos + 1;
											}
											%tempoffset = 0;
											while(!%foundoutqp && (%temppos = strpos(%subline, ".", %tempoffset)) != -1)
											{
												if(!BlocklandPlusInQuotesParentheses(%subline, %temppos))
												{
													%foundoutqp = 1;
													break;
												}
												%tempoffset = %temppos + 1;
											}
											%tempoffset = 0;
											while(!%foundoutqp && (%temppos = strpos(%subline, "(", %tempoffset)) != -1)
											{
												if(!BlocklandPlusInQuotesParentheses(%subline, %temppos))
												{
													%foundoutqp = 1;
													break;
												}
												%tempoffset = %temppos + 1;
											}
											//echo("FOQP " @ %foundoutqp);
											if(%foundoutqp)
											{
												%notfilter = 0;
												break;
											}
											else
											{
												%line = getSubStr(%line, %filterpos + strLen(%cfilter), strLen(%line) - (%filterpos + strLen(%cfilter)));
												%filterpos = stripos(%line, %cfilter);
												//echo("LINE. " @ %line SPC %filterpos);
												%notfilter = 1;
												continue;
											}
										}
									}
									else
									{
										%notfilter = 0;
										break;
									}
								}
							}
							if(%notfilter)
								continue;
							else
							{
								%filterpos = %tempfilterpos;
								%line = %templine;
								%badlines = %badlines @ %line @ "\n\n";
							}
						}
						else
						{
							%filterpos = %tempfilterpos;
							%line = %templine;
							%badlines = %badlines @ %line @ "\n\n";
						}
					}
					%filterpos = %tempfilterpos;
					%line = %templine;
				}
			}
		}
		%stream.close();
		%stream.delete();
		%version = BlocklandPlusGetCurrentGUIVersion(%name, 1);
		if(%badlines $= "")
		{
			BlocklandPlusUpdateGUIList(%name, 1, 1, %Scan);
			if(!%Scan)
			{
				if($BlocklandPlus::Client::AskBeforeExec && !$BlocklandPlus::Client::LoadedFile[%name @ %version])
					MessageBoxYesNo("File Approved", "This file has been scanned and approved. Do you want to load this file(config/BLP/" @ %name @ "/Client.zip)?", "BlocklandPlusLoadFile(\"" @ %name @ "\");", "commandToServer('NoLFile');");
				else
					BlocklandPlusLoadFile(%name);
			}
			if(%Scan == 2)
			{
				canvas.popdialog(BlocklandPlusGUIManager);
				BlocklandPlusOpenGUIManager();
				messageBoxOk("File Approved", "This file has been scanned and approved.");
			}
		}
		else
		{
			BlocklandPlusUpdateGUIList(%name, 0, 0, %Scan);
			if(!%Scan)
			{
				MessageBoxYesNo("File Unapproved", "This file could be harmful, and it is advised not to load it. Do you want to load this file(config/BLP/" @ %name @ "/Client.zip) anyway?", "BlocklandPlusLoadFile(\"" @ %name @ "\");", "commandToServer('NoLFile');");
				BlocklandPlusFileText("Unapproved Code Lines", %badlines);
			}
			if(%Scan == 2)
			{
				canvas.popdialog(BlocklandPlusGUIManager);
				BlocklandPlusOpenGUIManager();
				BlocklandPlusFileText("Unapproved Code Lines", %badlines);
			}
		}
	}
}
function BlocklandPlusInQuotesParentheses(%line, %temppos)
{
	%subline = getSubStr(%line, 0, %temppos);
	%olength = strLen(%subline);
	
	%subline2 = stripchars(%subline, "\"");//\"
	%quotes = %olength - strLen(%subline2);
	
	%subline3 = stripchars(%subline, "(");
	%parentheseso = %olength - strLen(%subline3);
	
	%subline4 = stripchars(%subline, ")");
	%parenthesesc = %olength - strLen(%subline4);
	if(%quotes % 2 == 1 || %parentheseso > %parenthesesc)
		return true;
	else
		return false;
}
function BlocklandPlusGetArgLocation(%line, %startpos, %type)
{
	%quotes = -1;
	%parentheseso = -1;
	%parenthesesc = -2;
	%startpost = %startpos;
	%endpos = %startpos;
	%linet = %line;
	if(%type == 3)
	{
		while(%endpos != -1)
		{
			%endpos = strPos(%line, "(", %startpos);
			if(%endpos != -1)
				%startpos = %endpos + 1;
		}
		return %startpos - 1;
	}
	else
	{
		while(%quotes % 2 == 1 || %parentheseso > %parenthesesc)
		{
			if(%type == 1)
				%endpos = strPos(%line, ",", %startpos);
			else if(%type == 2)
			{
				%endpos1 = strPos(%line, ",", %startpos);
				%endpos2 = strPos(%line, ")", %startpos);
				if(%endpos1 == -1 || %endpos2 <= %endpos1)
					%endpos = %endpos2;
				else
					%endpos = %endpos1;
			}
			%endpost = %endpos;
			if(%startpos != -1 && %endpos != -1)
			{
				%endpos -= %startpost;
				if(%endpos > 0)
				{
					%subline = getSubStr(%line, %startpost, %endpos);
					%olength = strLen(%subline);
					//echo("subline olength " @ %subline SPC %olength);
					%subline2 = stripchars(%subline, "\"");//\"
					%quotes = %olength - strLen(%subline2);
					//echo("quotes " @ %quotes);
					%subline3 = stripchars(%subline, "(");
					%parentheseso = %olength - strLen(%subline3);
					//echo("paro " @ %parentheseso);
					%subline4 = stripchars(%subline, ")");
					%parenthesesc = %olength - strLen(%subline4);
					//echo("parc " @ %parenthesesc);
					%startpos = %endpost + 1;
				}
			}
		}
	}
	if(%type == 2)
		%startpos -= 1;
	return %startpos;
}
function BlocklandPlusCheckCharNumStr(%string)
{
	%string = stripchars(%string, "%$QWERTYUIOPASDFGHJKLZXCVBNMqwertyuiopasdfghjklzxcvbnm1234567890");
	if(strlen(%string) > 0)
		return false;
	return true;
}
function BlocklandPlusCheckApprovedFile(%name)
{
	%sysapproved = 0;
	%approved = 0;
	%stream = new fileObject();
	%stream.openForRead("config/BLP/BlocklandPlusGUIList.txt");
	while(!%stream.isEOF())
	{
		%line = %stream.readLine();
		if(getWord(%line, 0) $= %name)
		{
			%sysapproved = getWord(%line, 1);
			%approved = getWord(%line, 2);
			break;
		}
	}
	%stream.close();
	%stream.delete();
	return %sysapproved SPC %approved;
}
function BlocklandPlusCheckDeleteCrashFiles()
{
	%filelog = "config/BLP/cache/ExecFileLog.txt";
	if($BlocklandPlus::Client::DeleteCrashingFiles && isFile(%filelog))
	{
		%stream = new fileObject();
		%stream.openForRead(%filelog);
		while(!%stream.isEOF())
		{
			%line = %stream.readLine();
			%filecheck = "config/BLP/" @ %line @ "/Client.zip";
			discoverfile(%filecheck);
			if(isFile(%filecheck))
			{
				fileDelete(%filecheck);
				messageBoxOk("File Previously Crashed You", "\"config/BLP/" @ %line @ "/Client.zip\" previously crashed you while executing and has been deleted.");
			}
		}
		%stream.close();
		%stream.delete();
	}
	if(isFile(%filelog))
		fileDelete(%filelog);
}
function BlocklandPlusUpdateGUIList(%name, %sysapp, %uapp, %scan)
{
	%stream = new fileObject();
	%stream.openForRead("config/BLP/BlocklandPlusGUIList.txt");
	%lines = 0;
	while(!%stream.isEOF())
	{
		%line = %stream.readLine();
		%dirname = getWord(%line, 0);
		if(%dirname $= %name || !isFile("config/BLP/" @ %dirname @ "/Client.zip"))
		{
			if(%scan)
				%uapp = getWord(%line, 2);
			if(%sysapp $= "keep")
				%sysapp = getWord(%line, 1);
			continue;
		}
		%line[%lines++] = %line;
	}
	%stream.close();
	
	%stream.openForWrite("config/BLP/BlocklandPlusGUIList.txt");
	for(%x = 1; %x <= %lines; %x++)
		%stream.writeLine(%line[%x]);
	if(%sysapp != 2 && %name !$= "")
		%stream.writeLine(%name SPC %sysapp SPC %uapp SPC $BlocklandPlus::Client::Version);
	%stream.close();
	
	if(%name $= "" && %sysapp $= "" && $BlocklandPlus::Client::AutoRescanFilesNV)
	{
		echo("Checking for files not scanned by the current version of BlocklandPlus...");
		%stream.openForRead("config/BLP/BlocklandPlusGUIList.txt");
		while(!%stream.isEOF())
		{
			%line = %stream.readLine();
			if(getWord(%line, 3) !$= $BlocklandPlus::Client::Version)
				BlocklandPlusCheckFile(getWord(%line, 0), 1);
		}
		%stream.close();
	}
	%stream.delete();
}
function BlocklandPlusCreatePrefs(%num)
{
	if(!isFile("config/BLP/BlocklandPlusPrefs.cs") || %num)
	{
		%stream = new fileObject();
		%stream.openForWrite("config/BLP/BlocklandPlusPrefs.cs");
		%adl = 1;
		%arf = 1;
		%abd = 1;
		%abe = 1;
		%dsf = 1;
		%dcf = 1;
		if(%num == 2)
		{
			%adl = $BlocklandPlus::Client::BlocklandPlusEnabled;
			%arf = $BlocklandPlus::Client::AutoRescanFilesNV;
			%abd = $BlocklandPlus::Client::AskBeforeDownload;
			%abe = $BlocklandPlus::Client::AskBeforeExec;
			%dsf = $BlocklandPlus::Client::DeleteSyntaxErrorFiles;
			%dcf = $BlocklandPlus::Client::DeleteCrashingFiles;
		}
		%stream.writeLine("$BlocklandPlus::Client::BlocklandPlusEnabled = " @ %adl @ ";");
		%stream.writeLine("$BlocklandPlus::Client::AutoRescanFilesNV = " @ %arf @ ";");
		%stream.writeLine("$BlocklandPlus::Client::AskBeforeDownload = " @ %abd @ ";");
		%stream.writeLine("$BlocklandPlus::Client::AskBeforeExec = " @ %abe @ ";");
		%stream.writeLine("$BlocklandPlus::Client::DeleteSyntaxErrorFiles = " @ %dsf @ ";");
		%stream.writeLine("$BlocklandPlus::Client::DeleteCrashingFiles = " @ %dcf @ ";");
		%stream.writeLine("$BlocklandPlus::Client::CreatedPrefs = " @ $BlocklandPlus::Client::Version @ ";");
		%stream.close();
		%stream.delete();
	}
	if(!%num)
		exec("config/BLP/BlocklandPlusPrefs.cs");
}
function BLPSavePrefs()
{
	%prefdir = "config/BLP/" @ $BlocklandPlus::Client::CurrentGUI @ "/Prefs.cs";
	%stream = new fileObject();
	%stream.openForWrite(%prefdir);
	for(%x = 1; %x <= $BLPPrefs; %x++)
	{
		%pref = "$Pref::Client" @ $BLPPref[%x] @ " = " @ $Pref::Client[$BLPPref[%x]] @ ";";
		%stream.writeLine(%pref);
	}
	%stream.close();
	%stream.delete();
}
function BLPLoadPrefs()
{
	%prefdir = "config/BLP/" @ $BlocklandPlus::Client::CurrentGUI @ "/Prefs.cs";
	discoverfile(%prefdir);
	if(isFile(%prefdir))
		exec(%prefdir);
}
if(isPackage(BlocklandPlusPackage))
	deactivatePackage(BlocklandPlusPackage);
package BlocklandPlusPackage
{
	function GameConnection::setConnectArgs(%client, %lan, %net, %prefix, %suffix, %arg5, %rtb, %arg7, %arg8, %arg9, %arg10, %arg11, %arg12, %arg13, %arg14, %arg15)
	{
		if(!$BlocklandPlus::Client::BlocklandPlusEnabled)
			Parent::setConnectArgs(%client, %lan, %net, %prefix, %suffix, %arg5, %rtb, %arg7, %arg8, %arg9, %arg10, %arg11, %arg12, %arg13, %arg14, %arg15);
		else
		{
			%versionarg = trim(%arg5 @ "\tBLP\t" @ $BlocklandPlus::Client::Version);
			Parent::setConnectArgs(%client, %lan, %net, %prefix, %suffix, %versionarg, %rtb, %arg7, %arg8, %arg9, %arg10, %arg11, %arg12, %arg13, %arg14, %arg15);
		}
	}
};
activatePackage(BlocklandPlusPackage);

exec("./BlocklandPlusUpdater.cs");
exec("./BlocklandPlusFileText.cs");
exec("./BlocklandPlusGUIManager.cs");
exec("./BlocklandPlusPreferences.cs");

BlocklandPlusCreatePrefs();
if($BlocklandPlus::Client::CreatedPrefs != $BlocklandPlus::Client::Version)
{
	BlocklandPlusCreatePrefs(1);
	exec("config/BLP/BlocklandPlusPrefs.cs");
}
BlocklandPlusUpdateGUIList();
BlocklandPlusCheckUpdate();
schedule(1000, 0, BlocklandPlusCheckDeleteCrashFiles);//BlocklandPlusCheckDeleteCrashFiles();